QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QXmppPresence::Status Class Reference

The QXmppPresence::Status class represents the status of an XMPP entity. More...

`#include <QXmppPresence.h>`

List of all members.

## Public Types
enum | Type { Offline = 0, Online, Away, XA, DND, Chat }
| This enum is used to describe an availability status. More...
## Public Member Functions
| Status (QXmppPresence::Status::Type type=QXmppPresence::Status::Online, const QString statusText="", int priority=0)
| Constructs a presence status.
QXmppPresence::Status::Type | type () const
| Returns the status type, for instance busy or away.
void | setType (QXmppPresence::Status::Type)
| Sets the status type.
QString | statusText () const
| Returns the status text, a textual description of the user's status.
void | setStatusText (const QString &)
int | priority () const
| Returns the priority level of the resource.
void | setPriority (int)

## Detailed Description

The QXmppPresence::Status class represents the status of an XMPP entity.

It stores information such as the "away", "busy" status of a user, or a human-readable description.

## Member Enumeration Documentation

enum QXmppPresence::Status::Type

This enum is used to describe an availability status.

Enumerator:

  Online | The entity or resource is online.
  Away | The entity or resource is temporarily away.
  XA | The entity or resource is away for an extended period.
  DND | The entity or resource is busy ("Do Not Disturb").
  Chat | The entity or resource is actively interested in chatting.

## Member Function Documentation

void QXmppPresence::Status::setPriority | ( | int | priority | ) |

Sets the priority level of the resource.

Parameters:

  priority |

void QXmppPresence::Status::setStatusText | ( | const QString & | str | ) |

Sets the status text, a textual description of the user's status.

Parameters:

  str | The status text, for example "Gone fishing".

The documentation for this class was generated from the following files:

- QXmppPresence.h
- QXmppPresence.cpp

All Classes Functions Enumerations Enumerator Properties